@echo off

if "%OS%" == "Windows_NT" GOTO WIN_NT
if not "%OS%" == "Windows_NT" GOTO WIN_9X_NT40


:WIN_NT
if "%PROCESSOR_ARCHITECTURE%" == "x86" set myProgramFiles=%ProgramFiles%
if not "%PROCESSOR_ARCHITECTURE%" == "x86" set myProgramFiles=%ProgramFiles(x86)%

if "%myProgramFiles%" == "" goto WIN_9X_NT40

goto UNINSTALL_EXEC

:WIN_9X_NT40
set myDrive=C

if not "%1" == "" set myDrive=%1

set myProgramFiles=%myDrive%:\PROGRA~1

:UNINSTALL_EXEC

"%myProgramFiles%\InstallShield Installation Information\{57E43A88-5936-11D7-AB30-0050DA8CDA09}\setup.exe" -s -f1./Uninstall.iss -f2%WinDir%\ENSSetup.log

set myProgramFiles=
set myDrive=
